HumanTrackDevelopers
Referência da APIAplicações

Criar aplicação

POST/professionals/{professionalId}/forms/{formId}/applications

Aplica um instrumento a um paciente do profissional. A aplicação define a recorrência, a data de início e as preferências de notificação. A resposta traz urlToAnswer, o link que o paciente usa para responder.

Autorização

ApiKey ApiSecret
X-Api-Key<token>

API Key do parceiro. Deve ser enviada junto com X-Api-Secret.

Em: header

X-Api-Secret<token>

API Secret do parceiro. Deve ser enviada junto com X-Api-Key.

Em: header

Parâmetros de path

professionalId*string

ID do profissional na HumanTrack (humanTrackId).

Formatouuid
formId*string

ID do instrumento.

Formatouuid

Corpo da requisição

application/json

Definições TypeScript

Use o tipo request body em TypeScript.

Corpo da resposta

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/professionals/3f7c1a54-6b2e-4a1d-8f0c-2b5e9d3a7c11/forms/b1e7d9c2-4f3a-4d8e-9c1b-7a2e5f0d6c88/applications" \  -H "Content-Type: application/json" \  -d '{    "patientId": "460a6d87-689c-4661-a526-a52450bbe2d7",    "recurrenceCycle": "NOW",    "startedAt": "2019-08-24T14:15:22Z"  }'
{  "allowPatientAnnotation": true,  "answerToken": "string",  "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",  "createdAt": "2019-08-24T14:15:22Z",  "formTemplate": {    "shortTitle": "string",    "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",    "title": "string"  },  "formTemplateId": "f62b9cf2-5cec-4a00-b364-0e5e6e71cce0",  "hideFormTemplateTitle": true,  "id": 0,  "lastSubmission": {    "completedFillAt": "2019-08-24T14:15:22Z",    "id": 0,    "score": 0  },  "nextAnswerAt": "2019-08-24T14:15:22Z",  "notifyEmail": true,  "notifyWhatsApp": true,  "openToAnswer": true,  "patientId": "460a6d87-689c-4661-a526-a52450bbe2d7",  "recurrenceCycle": "NOW",  "showFormGraphToPatient": true,  "startedAt": "2019-08-24T14:15:22Z",  "status": "CREATED",  "submissions": [    {      "answers": [        {          "createdAt": "2019-08-24T14:15:22Z",          "customValue": "string",          "formSubmissionId": 0,          "id": 0,          "question": {            "centerEmoji": "string",            "centerLabel": "string",            "formSubScaleId": 0,            "leftEmoji": "string",            "leftLabel": "string",            "pointAnchors": [              {                "emoji": "string",                "label": "string",                "value": 0              }            ],            "position": 0,            "questionOptions": [              {                "createdAt": "2019-08-24T14:15:22Z",                "emoji": "string",                "id": 0,                "isOther": true,                "position": 0,                "updatedAt": "2019-08-24T14:15:22Z",                "value": "string",                "weight": 0              }            ],            "questionType": "MULTIPLE_CHOICE",            "rightEmoji": "string",            "rightLabel": "string",            "scaleEnd": 0,            "scaleStart": 0,            "scaleStep": 0,            "title": "string"          },          "questionId": 0,          "riskFlag": {            "flagType": "SUICIDE_SELF_HARM",            "severity": "LOW"          },          "updatedAt": "2019-08-24T14:15:22Z",          "value": "string",          "values": [            "string"          ],          "weight": 0        }      ],      "completedFillAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "deadline": "2019-08-24T14:15:22Z",      "fillType": "DEFAULT",      "formApplication": {        "allowPatientAnnotation": true,        "answerToken": "string",        "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",        "createdAt": "2019-08-24T14:15:22Z",        "formTemplateId": "f62b9cf2-5cec-4a00-b364-0e5e6e71cce0",        "hideFormTemplateTitle": true,        "id": 0,        "nextAnswerAt": "2019-08-24T14:15:22Z",        "notifyEmail": true,        "notifyWhatsApp": true,        "openToAnswer": true,        "patientId": "460a6d87-689c-4661-a526-a52450bbe2d7",        "recurrenceCycle": "NOW",        "showFormGraphToPatient": true,        "startedAt": "2019-08-24T14:15:22Z",        "status": "CREATED",        "updatedAt": "2019-08-24T14:15:22Z"      },      "formApplicationId": 0,      "formTemplate": {        "shortTitle": "string",        "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",        "title": "string"      },      "formTemplateId": "f62b9cf2-5cec-4a00-b364-0e5e6e71cce0",      "globalClassification": {        "color": "string",        "maxScore": 0,        "minScore": 0,        "title": "string"      },      "hasHighRisk": true,      "id": 0,      "interpretativeAnalysis": "string",      "notifiedAt": "2019-08-24T14:15:22Z",      "patientId": "460a6d87-689c-4661-a526-a52450bbe2d7",      "psychometricIndicators": {        "global": {},        "subscales": {          "property1": {},          "property2": {}        },        "version": 0      },      "riskFlagCount": 0,      "score": 0,      "startedAt": "2019-08-24T14:15:22Z",      "startedFillAt": "2019-08-24T14:15:22Z",      "status": "CREATED",      "subscaleClassifications": {        "property1": {          "color": "string",          "maxScore": 0,          "minScore": 0,          "title": "string"        },        "property2": {          "color": "string",          "maxScore": 0,          "minScore": 0,          "title": "string"        }      },      "subscaleScores": [        {          "id": 0,          "name": "string",          "score": 0        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "urlToAnswer": "string"    }  ],  "totalSubmissions": 0,  "updatedAt": "2019-08-24T14:15:22Z",  "urlToAnswer": "string"}